Package de.gebit.integrity.runner.console

## Class SimpleCommandLineParser.Option

- java.lang.Object
- - de.gebit.integrity.runner.console.SimpleCommandLineParser.Option

- Direct Known Subclasses:
    `SimpleCommandLineParser.BooleanOption`, `SimpleCommandLineParser.ValueOption`
  Enclosing class:
    SimpleCommandLineParser

      public abstract static class SimpleCommandLineParser.Option
      extends Object

  Base class for command line options.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Option​(String aShortName, String aLongName, String aDescription, String aCommandLine)` | Creates a new Option.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCommandLine()` |
    `String` | `getDescription()` |
    `String` | `getHelpLine()` | Returns the line for the parameter help.
    `String` | `getLongName()` |
    `String` | `getShortName()` |
    `protected boolean` | `matches​(String aParameter)` | Checks whether this matches a given parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Option

          protected Option​(String aShortName,
                           String aLongName,
                           String aDescription,
                           String aCommandLine)

      Creates a new Option.
      Parameters:
        `aShortName` - The short name of the option. Usually just one character.
        `aLongName` - The long name of the option, generelly a comprehendable, but not-too-long string.
        `aDescription` - The command line help string for this option.
        `aCommandLine` - The description for the help.

  - ### Method Detail

    - #### matches

          protected boolean matches​(String aParameter)

      Checks whether this matches a given parameter.
      Parameters:
        `aParameter` - the parameter
      Returns:
        true if a match is found, false otherwise

    - #### getShortName

          public String getShortName()

    - #### getLongName

          public String getLongName()

    - #### getDescription

          public String getDescription()

    - #### getCommandLine

          public String getCommandLine()

    - #### getHelpLine

          public String getHelpLine()

      Returns the line for the parameter help.